FreePBX 2.10 officially released

FreePBX 2.10 is now out of beta. You can see more details about the announcement here – http://www.freepbx.org/news/2012-02-29/2-10-officially-final

If you’re planning on updating then I’d definitely follow the advice given when performing the update –

You should make sure you have a full backup of your current system. Version 2.10+ requires Asterisk 1.8 or later. It may work with Asterisk 1.6 although there are known potential issues. Once you upgrade, you can not downgrade. It may be possible to restore a backup though restoring a system that has been upgraded can run into some anomalies later on though will usually get you back to where you were.